<?php

/************** Includes **********************************/
require_once '../../config.php';
require_once DIRLIBCOMP . 'SPDO.php';
$conexion = new SPDO(BDENGINE, BDHOST, BDDATABASE, BDUSER, BDPASS);

$_POST['localizador'] = strtoupper(trim($_POST['localizador']));

// Compruebo si localizador está asociado a un servicio de hora valle bono
// o si es una entrada simple, en cuyo caso el número de reservas a hacer
// es fijo (bono valle 1, entrada simple de cualquier servicio número de
// unidades compradas)
$sql_valle = "SELECT s.pases, s.horas_valle, s.pistas, s.s_instalacion, l.unidades, a.nombre
			  FROM localizadores l JOIN servicios s ON l.servicio_id = s.id
			  JOIN actividades a ON s.actividad_id = a.id
			  AND l.localizador = '" . $_POST['localizador'] . "'
			  AND l.anulacion = 0
			  AND l.estado = 'pagado'";

$result_valle = $conexion->query($sql_valle);

if ($result_valle->rowCount() > 0) {
    $row_pases = $result_valle->fetch(PDO::FETCH_ASSOC);

    // Bono de horas valle
    if (($row_pases['pases'] > 1) && ($row_pases['horas_valle'] == 1)) {
        echo 1;
    } else {
        // Es servicio de instalaciones, Oculto spinner de plazas
        if (($row_pases['s_instalacion'] == 1) && (strpos(strtoupper($row_pases['nombre']), 'FRONTONES') === false)) {
            echo 2;
        }
        // Si es entrada o servicio de masajes
        elseif (($row_pases['pases'] == 1) || (strpos(strtoupper($row_pases['nombre']), 'MASAJE') !== false)) {
            echo '<input type="text" name="unidades" class="plazas_bono" id="unidades" value="' . $row_pases['unidades'] . '" readonly="true"> Unidades';
        } else {
            echo 3;
        }
    }
} else {
    echo 0;
}